
Name:           kapptemplate
Summary:        Template for KDE4 Application Development
Version: 23.08.5
Group:          Graphical desktop/KDE5
Release:        %mkrel 1
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://www.kde.org/applications/development/kapptemplate/
Source:         http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 


%description
KAppTemplate is a set of modular shell scripts that will create a
framework for any number of KDE4 application types. At its base
level, it handles creation of things like the automake/autoconf
framework, lsm files, RPM spec files, and po files. Then, there
are individual modules that allow you to create a skeleton KDE4
application, a KPart application, a KPart plugin, or even convert
existing source code to the KDE4 framework.

%files -f %name.lang
%_kf5_bindir/kapptemplate
%_kf5_datadir/metainfo
%_kf5_applicationsdir/org.kde.kapptemplate.desktop
%_kf5_datadir/config.kcfg/kapptemplate.kcfg
%_iconsdir/hicolor/*/*/*
%_kf5_datadir/kdevappwizard
/usr/share/qlogging-categories5/kapptemplate.categories
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang --with-html %name


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

